## com.google.gwt.event.dom.client
Class KeyCodes

    java.lang.Object
      com.google.gwt.event.dom.client.KeyCodes

    public class KeyCodes

extends java.lang.Object

Contains the native key codes previously defined in `KeyboardListener`. When converting keyboard listener instances, developers can use the following static import to access these constants:

     import static com.google.gwt.event.dom.client.KeyCodes.*;

These constants are defined with an int data type in order to be compatible with the constants defined in `KeyboardListener`.

Field Summary
`static int` | `KEY_ALT` Alt key code.
`static int` | `KEY_BACKSPACE` Backspace key code.
`static int` | `KEY_CTRL` Control key code.
`static int` | `KEY_DELETE` Delete key code.
`static int` | `KEY_DOWN` Down arrow code.
`static int` | `KEY_END` End key code.
`static int` | `KEY_ENTER` Enter key code.
`static int` | `KEY_ESCAPE` Escape key code.
`static int` | `KEY_HOME` Home key code.
`static int` | `KEY_LEFT` Left key code.
`static int` | `KEY_PAGEDOWN` Page down key code.
`static int` | `KEY_PAGEUP` Page up key code.
`static int` | `KEY_RIGHT` Right arrow key code.
`static int` | `KEY_SHIFT` Shift key code.
`static int` | `KEY_TAB` Tab key code.
`static int` | `KEY_UP` Up Arrow key code.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_ALT

    public static final int KEY_ALT

  Alt key code.

  See Also:
    Constant Field Values

### KEY_BACKSPACE

    public static final int KEY_BACKSPACE

  Backspace key code.

  See Also:
    Constant Field Values

### KEY_CTRL

    public static final int KEY_CTRL

  Control key code.

  See Also:
    Constant Field Values

### KEY_DELETE

    public static final int KEY_DELETE

  Delete key code.

  See Also:
    Constant Field Values

### KEY_DOWN

    public static final int KEY_DOWN

  Down arrow code.

  See Also:
    Constant Field Values

### KEY_END

    public static final int KEY_END

  End key code.

  See Also:
    Constant Field Values

### KEY_ENTER

    public static final int KEY_ENTER

  Enter key code.

  See Also:
    Constant Field Values

### KEY_ESCAPE

    public static final int KEY_ESCAPE

  Escape key code.

  See Also:
    Constant Field Values

### KEY_HOME

    public static final int KEY_HOME

  Home key code.

  See Also:
    Constant Field Values

### KEY_LEFT

    public static final int KEY_LEFT

  Left key code.

  See Also:
    Constant Field Values

### KEY_PAGEDOWN

    public static final int KEY_PAGEDOWN

  Page down key code.

  See Also:
    Constant Field Values

### KEY_PAGEUP

    public static final int KEY_PAGEUP

  Page up key code.

  See Also:
    Constant Field Values

### KEY_RIGHT

    public static final int KEY_RIGHT

  Right arrow key code.

  See Also:
    Constant Field Values

### KEY_SHIFT

    public static final int KEY_SHIFT

  Shift key code.

  See Also:
    Constant Field Values

### KEY_TAB

    public static final int KEY_TAB

  Tab key code.

  See Also:
    Constant Field Values

### KEY_UP

    public static final int KEY_UP

  Up Arrow key code.

  See Also:
    Constant Field Values